/***************************************************************************
                          khttrackoptions.cpp  -  description
                             -------------------
    begin                : Thu Jun 20 2002
    copyright            : (C) 2002 by Stphane Chapeau
    email                : nuscly-devel@laposte.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qmessagebox.h>
#include <qcheckbox.h>
#include <klocale.h>  // i18n
#include "khttrackoptions.h"

#include <pthread.h> // pthreadv
#include <stdio.h>
#include <stdlib.h>



KhttrackOptions::KhttrackOptions(QWidget *parent, const char *name ) : Options(parent,name) {
}
KhttrackOptions::~KhttrackOptions(){
}

/** Slots */

void KhttrackOptions::slot_ok()
{
    hide();
}

void KhttrackOptions::slot_browserID_footer()
{
    QString MyString ;
    MyString = ComboBox35->currentText() ;
    strcpy(project->s_project.browserID_footer, MyString.latin1() );
}

void KhttrackOptions::slot_browserID_identity()
{
    QString MyString ;
    MyString = ComboBox34->currentText() ;
    strcpy(project->s_project.browserID_identity, MyString.latin1() );
}

void KhttrackOptions::slot_build_dosName()
{
    project->s_project.build_dosName = CheckBox17->isChecked() ;
}

void KhttrackOptions::slot_build_hidePasswords()
{
    project->s_project.build_hidePasswords = CheckBox18_3->isChecked() ;
}

void KhttrackOptions::slot_build_hideQueryString()
{
    project->s_project.build_hideQueryString = CheckBox18_4->isChecked() ;
}

void KhttrackOptions::slot_build_noErrorPages()
{
    project->s_project.build_noErrorPages = CheckBox18->isChecked() ;
}

void KhttrackOptions::slot_build_noExternalPages()
{
    project->s_project.build_noExternalPages = CheckBox18_2->isChecked() ;
}

void KhttrackOptions::slot_build_notPurges()
{
    project->s_project.build_notPurges = CheckBox23->isChecked() ;
}

void KhttrackOptions::slot_build_personnalStruct()
{
    qWarning( "KhttrackOptions::slot_build_personnalStruct(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::slot_build_siteStructureType()
{

    project->s_project.build_siteStructureType = ComboBox18->currentItem() ;
}

void KhttrackOptions::slot_experts_debug()
{
    qWarning( "KhttrackOptions::slot_experts_debug(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::slot_experts_primaryScanRule()
{
    project->s_project.experts_primaryScanRule = ComboBox37->currentItem() ;
}

void KhttrackOptions::slot_experts_rewriteLinks()
{
    project->s_project.experts_rewriteLinks = ComboBox37_4->currentItem() ;
}

void KhttrackOptions::slot_experts_travelMode()
{
    project->s_project.experts_travelMode = ComboBox37_2->currentItem() ;
}

void KhttrackOptions::slot_experts_globalTravelMode()
{
    project->s_project.experts_globalTravelMode = ComboBox37_3->currentItem() ;
}

void KhttrackOptions::slot_experts_useCache()
{
    project->s_project.experts_useCache = CheckBox34->isChecked() ;
}

void KhttrackOptions::slot_flow_minTransfert()
{
    QString MyString ;
    MyString = LineEdit11->text() ;
    strcpy(project->s_project.flow_minTransfert, MyString.latin1() );

}

void KhttrackOptions::slot_flow_numConnections()
{
    QString MyString ;
    MyString = ComboBox15->currentText() ;
    strcpy(project->s_project.flow_numConnections, MyString.latin1() );
}

void KhttrackOptions::slot_flow_removeHostLow()
{
    project->s_project.flow_removeHostLow = CheckBox12->isChecked() ;
}


void KhttrackOptions::slot_flow_removeTimeOut()
{
    project->s_project.flow_removeHostLow = CheckBox11->isChecked() ;
}

void KhttrackOptions::slot_flow_retries()
{
    QString MyString ;
    MyString = ComboBox15_3->currentText() ;
    strcpy(project->s_project.flow_retries, MyString.latin1() );
}

void KhttrackOptions::slot_flow_timeOut()
{
    QString MyString ;
    MyString = ComboBox15_2->currentText() ;
    strcpy(project->s_project.flow_timeOut, MyString.latin1() );
}

void KhttrackOptions::slot_limits_maxConnexion()
{

    QString MyString ;
    MyString = ComboBox2_4->currentText() ;
    strcpy(project->s_project.limits_maxConnexion, MyString.latin1() );
}

void KhttrackOptions::slot_limits_maxExtDepth()
{
    QString MyString ;
    MyString = ComboBox2_2->currentText() ;
    strcpy(project->s_project.limits_maxExtDepth, MyString.latin1() );
}

void KhttrackOptions::slot_limits_maxLinks()
{
    QString MyString ;
    MyString = ComboBox2_6->currentText() ;
    strcpy(project->s_project.limits_maxLinks, MyString.latin1() );
}

void KhttrackOptions::slot_limits_maxMirrorDepth()
{
    QString MyString ;
    MyString = ComboBox2->currentText() ;
    strcpy(project->s_project.limits_maxMirrorDepth, MyString.latin1() );
}

void KhttrackOptions::slot_limits_maxSizeHTML()
{
    QString MyString ;
    MyString = LineEdit2_2->text() ;
    strcpy(project->s_project.limits_maxSizeHTML, MyString.latin1() );
}

void KhttrackOptions::slot_limits_maxSizeNonHTML()
{
    QString MyString ;
    MyString = LineEdit2->text() ;
    strcpy(project->s_project.limits_maxSizeNonHTML, MyString.latin1() );
}

void KhttrackOptions::slot_limits_maxTime()
{
    QString MyString ;
    MyString = ComboBox2_5->currentText() ;
    strcpy(project->s_project.limits_maxTime, MyString.latin1() );
}

void KhttrackOptions::slot_limits_maxTransfer()
{
    QString MyString ;
    MyString = ComboBox2_3->currentText() ;
    strcpy(project->s_project.limits_maxTransfer, MyString.latin1() );
}

void KhttrackOptions::slot_limits_pauseDownload()
{
    QString MyString ;
    MyString = LineEdit2_4->text() ;
    strcpy(project->s_project.limits_pauseDownload, MyString.latin1() );
}

void KhttrackOptions::slot_limits_siteSize()
{
    QString MyString ;
    MyString = LineEdit2_3->text() ;
    strcpy(project->s_project.limits_siteSize, MyString.latin1() );
}

void KhttrackOptions::slot_links_detectAllLinks()
{

   project->s_project.links_detectAllLinks = CheckBox13->isChecked() ;

}

void KhttrackOptions::slot_links_getHTMLFirst()
{
    project->s_project.links_getHTMLFirst = CheckBox16->isChecked() ;
}

void KhttrackOptions::slot_links_getNonHTML()
{
    project->s_project.links_getNonHTML = CheckBox14->isChecked() ;
}

void KhttrackOptions::slot_links_test()
{
    project->s_project.links_test = CheckBox15->isChecked() ;
}

void KhttrackOptions::slot_log_createLog()
{
    project->s_project.log_createLog = CheckBox31->isChecked() ;
}

void KhttrackOptions::slot_log_makeIndex()
{
    project->s_project.log_makeIndex = CheckBox31_2->isChecked() ;
}

void KhttrackOptions::slot_log_redownload()
{
    project->s_project.log_redownload = CheckBox30->isChecked() ;
}

void KhttrackOptions::slot_log_storeAllCache()
{
    project->s_project.log_storeAllCache = CheckBox29->isChecked() ;
}

void KhttrackOptions::slot_log_wordDatabase()
{
    project->s_project.log_wordDatabase = CheckBox31_2_2->isChecked() ;
}

void KhttrackOptions::slot_log_logLevel()
{
    project->s_project.log_logLevel = ComboBox36->currentItem() ;
}

void KhttrackOptions::slot_proxy_address()
{
    QString MyString ;
    MyString = ComboBox1->currentText() ;
    strcpy(project->s_project.proxy_address, MyString.latin1() );
}

void KhttrackOptions::slot_proxy_hidePassword()
{
   project->s_project.proxy_hidePassword = CheckBox2->isChecked() ;
    qWarning( "KhttrackOptions::slot_proxy_hidePassword(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::slot_proxy_login()
{
    qWarning( "KhttrackOptions::slot_proxy_login(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::slot_proxy_password()
{
    qWarning( "KhttrackOptions::slot_proxy_password(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::slot_proxy_port()
{
    QString MyString ;
    MyString = LineEdit1->text() ;
    strcpy(project->s_project.proxy_port, MyString.latin1() );
}

void KhttrackOptions::slot_proxy_useFtp()
{
   project->s_project.proxy_useFtp = CheckBox1->isChecked() ;
}

void KhttrackOptions::slot_scanRules_filter()
{
    QString MyString ;
    MyString = MultiLineEdit3->text() ;
    strcpy(project->s_project.scanRules_filter, MyString.latin1() );
}
void KhttrackOptions::slot_scanRules_exclude()
{
    qWarning( "KhttrackOptions::slot_scanRules_exclude: Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );

}
void KhttrackOptions::slot_scanRules_include()
{
    qWarning( "KhttrackOptions::slot_scanRules_include: Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );

}
void KhttrackOptions::slot_scanRules_gif()
{
    project->s_project.scanRules_gif = CheckBox3->isChecked() ;
}
void KhttrackOptions::slot_scanRules_mov()
{
    project->s_project.scanRules_mov = CheckBox5->isChecked() ;
}
void KhttrackOptions::slot_scanRules_zip()
{
    project->s_project.scanRules_zip = CheckBox4->isChecked() ;
}

void KhttrackOptions::slot_spider_acceptCookies()
{
    project->s_project.spider_acceptCookies = CheckBox24->isChecked() ;
}

void KhttrackOptions::slot_spider_checkType()
{
    project->s_project.spider_checkType = ComboBox19->currentItem() ;
}

void KhttrackOptions::slot_spider_notPuges()
{
    qWarning( "KhttrackOptions::slot_spider_notPuges(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::slot_spider_parseJava()
{
    project->s_project.spider_parseJava = CheckBox24_2->isChecked() ;
}

void KhttrackOptions::slot_spider_spider()
{
    project->s_project.spider_spider = ComboBox20->currentItem() ;
}

void KhttrackOptions::slot_spider_tolerantRequest()
{
    project->s_project.spider_tolerantRequest = CheckBox24_3_2->isChecked() ;
}

void KhttrackOptions::slot_spider_updateHacks()
{
    project->s_project.spider_updateHacks = CheckBox24_3->isChecked() ;
}

void KhttrackOptions::slot_spider_http1()
{
    project->s_project.spider_http1 = CheckBox24_3_3->isChecked() ;
}

void KhttrackOptions::stot_mimeType_file01()
{
    qWarning( "KhttrackOptions::stot_mimeType_file01(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_file02()
{
    qWarning( "KhttrackOptions::stot_mimeType_file02(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_file03()
{
    qWarning( "KhttrackOptions::stot_mimeType_file03(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_file04()
{
    qWarning( "KhttrackOptions::stot_mimeType_file04(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_file05()
{
    qWarning( "KhttrackOptions::stot_mimeType_file05(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_file06()
{
    qWarning( "KhttrackOptions::stot_mimeType_file06(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_file07()
{
    qWarning( "KhttrackOptions::stot_mimeType_file07(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_file08()
{
    qWarning( "KhttrackOptions::stot_mimeType_file08(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_file09()
{
    qWarning( "KhttrackOptions::stot_mimeType_file09(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_file10()
{
    qWarning( "KhttrackOptions::stot_mimeType_file10(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_mime01()
{
    qWarning( "KhttrackOptions::stot_mimeType_mime01(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_mime02()
{
    qWarning( "KhttrackOptions::stot_mimeType_mime02(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_mime03()
{
    qWarning( "KhttrackOptions::stot_mimeType_mime03(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_mime04()
{
    qWarning( "KhttrackOptions::stot_mimeType_mime04(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_mime05()
{
    qWarning( "KhttrackOptions::stot_mimeType_mime05(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_mime06()
{
    qWarning( "KhttrackOptions::stot_mimeType_mime06(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_mime07()
{
    qWarning( "KhttrackOptions::stot_mimeType_mime07(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_mime08()
{
    qWarning( "KhttrackOptions::stot_mimeType_mime08(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_mime09()
{
    qWarning( "KhttrackOptions::stot_mimeType_mime09(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::stot_mimeType_mime10()
{
    qWarning( "KhttrackOptions::stot_mimeType_mime10(): Not implemented yet!" );
    QMessageBox::information( this, "Khttrack",
                            i18n("Fonction unavailable.\n"),
                            i18n("Please update your version or contribute to devellopement.") );
}

void KhttrackOptions::slot_help()
{
   htmlHelp();
}

void KhttrackOptions::htmlHelp()
{
    pthread_t threads4[1];
    int rc3 ;

    rc3 = pthread_create(&threads4[0], NULL, pth_htmlhelp, (void *)0);
    if (rc3){
       printf("ERROR: return code from pthread_create() is %d\n", rc3);
       exit(-1);
    }
}

void *pth_htmlhelp(void *threadid)
{
    char commande[1024] ;
    strcpy(commande, "konqueror http://www.httrack.com/html/shelldoc.html");
    printf(commande);
    system(commande);
    pthread_exit(NULL);
}

